/*********************************

 * Proiectarea cu Microprocesoare

 *********************************/


#include <avr/io.h>
#include <avr/interrupt.h> 
#define F_CPU 16000000
#include <util/delay.h>


uint16_t get_adc(uint8_t ch){

	ADMUX = ADMUX | ch; 
	ADCSRA = ADCSRA | (1<<ADSC); 
	
	while ( !(ADCSRA & (1<<ADIF)) );

	ADCSRA = ADCSRA | (1<<ADIF);

	return ADC;
}


int main(){

	uint16_t rez_adc;
	
	ADMUX = (1<<REFS0);
	ADCSRA = (1<<ADEN) | (1<<ADPS2) | (1<<ADPS1) | (1<<ADPS0);
	
	DDRC = 0xff;
	
	while(1){
	
		rez_adc = get_adc(0);
		
		if(285<=adc_result && adc_result<290 ){
			
			PORTC |= 1 << PC5;
		}
		
		if(adc_result < 285){
		
			PORTC &= ~(1 << PC5);
		}
	}
	
	return 0;
}